## syslog-ng 3.5.1

=== debian/changelog ===
syslog-ng (3.5.1-1) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
    + Support auto-loading modules (Closes: #650814)
    + The SMTP module is available in syslog-ng-mod-smtp (Closes: #722746)
    + New modules: amqp, geoip, stomp, redis and smtp.
    + Multi-line input support (indented multiline and regexp-based)
    + Template type hinting for the MongoDB destination and $(format-json)
    + Support for unit suffixes in the configuration file
    + New filters, template functions and other miscellaneous changes
  * New (team) maintainer, Laszlo Boszormenyi, Attila Szalay and myself
    added to Uploaders.
  * Ship /var/lib/syslog-ng in the syslog-ng-core package, instead of
    creating it in the init script. Thanks Michael Biebl
    <biebl@debian.org> for the report & assistance. (Closes: #699942, #719910)
  * Use dh-systemd for proper systemd-related maintainer scripts. Based on
    a patch by Michael Biebl <biebl@debian.org>. (Closes: #713982,
    #690067)
  * Do not wait for syslog-ng to settle down during installation / update.
    This also fixes installing via debootstrap and a fake
    start-stop-daemon. (Closes: #714254)

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 04 Nov 2013 15:27:37 +0100

syslog-ng (3.3.5-1~mhp1) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * New upstream release.
    + afsocket: handle DNS failures as if it was a connection failure
      (Closes: #660897)
  * All patches dropped, they're applied upstream.
  * Include upstream man pages, as they're DFSG-free now.
  * Update debian/copyright for 1.0 of the spec.
  * Bump Standards-Version to 3.9.3 (no changes required)
  * Fix squeeze->wheezy install-remove-install upgrade path.
    (Closes: #665905)
  * Fix the init script to create /dev/xconsole properly on GNU/kFreeBSD.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 16 Apr 2012 15:22:59 +0200

syslog-ng (3.3.4.dfsg-2~mhp1) unstable; urgency=low

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Packaging synced with GCS.
  * Patches applied:
    + Fix framing issues with the syslog protocol, based on a patch by
      Zoltan Fried <deirf@balabit.hu>.
    + afsql: Fix a deadlock when using explicit commits.
    + afmongodb: Fix a deadlock at deinit time.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 10 Feb 2012 13:38:13 +0100

syslog-ng (3.3.4.dfsg-1~mhp1) unstable; urgency=low

  * New upstream release.

  [ Gergely Nagy <algernon@balabit.hu> ]
  * Applied a patch to fix framing issues with the syslog protocol, based
    on a patch by Zoltan Fried <deirf@balabit.hu>.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 27 Jan 2012 14:47:07 +0100

syslog-ng (3.3.3.dfsg-1~mhp2+g511e939) unstable; urgency=low

  * New snapshost release, based on upstream commit 511e939.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Change the package versioning scheme and the way Revision is
    assembled: the version now includes the git commit id it is based on,
    and so does the revision (which now also includes the distribution
    version it was built for, not only in the version).

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 29 Dec 2011 10:23:55 +0100

syslog-ng (3.3.3.dfsg-1~mhp1) unstable; urgency=low

  * New snapshot release, based on upstream commit cd059ea.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Dropped the previous two patches, they're applied upstream.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 01 Dec 2011 11:46:17 +0100

syslog-ng (3.3.3.dfsg-1~mhp0) unstable; urgency=low

  * New upstream release.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Refresh debian/copyright.
  * Fix reusable rewrite rules, patch from Zoltan Fried
    <deirf@balabit.hu>.
  * Fix FTBFS on Hurd, patch from Svante Signell
    <svante.signell@telia.com>. (Closes: #648987)

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 18 Nov 2011 15:18:37 +0100

syslog-ng (3.3.2.dfsg-1~mhp0) unstable; urgency=low

  * New upstream release.

  [ Gergely Nagy <algernon@madhouse-project.org> ]
  * Introduced a syslog-ng-dbg package.
  * Init script updates:
    + Silence mknod errors, they're not interesting, and adds noise on
    kFreeBSD.
    + Use set -e.
    + Use s-s-d's --oknodo options instead of checking the existence of a
    pidfile ourselves.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 13 Nov 2011 19:49:36 +0100

syslog-ng (3.3.2.dfsg~0-1~mhp3) unstable; urgency=low

  * New upstream snapshot, based on commit 8239b58.
  * Packaging synced with GCS.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 09 Nov 2011 23:41:12 +0100
